> For the complete documentation index, see [llms.txt](https://docs.squidrouter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squidrouter.com/additional-resources/contracts.md).

# Contracts

Squid deploys router contracts on every supported EVM chain. Most chains share the same contract address, but some newer chains use a different deployment.

{% hint style="info" %}
**Dynamic Lookup:** You can always retrieve the correct contract address for any chain programmatically using the `/v2/sdk-info` or `/v2/chains` endpoints. Each chain object includes a `squidContracts.squidRouter` field with the correct router address.
{% endhint %}

## **Mainnet**

### **SquidRouter — Primary**

Used on the majority of EVM chains:

| Chain         | Address                                                                                                               |
| ------------- | --------------------------------------------------------------------------------------------------------------------- |
| All (default) | `0xce16F69375520ab01377ce7B88f5BA8C48F8D666`                                                                          |
| Fraxtal       | [0xDC3D8e1Abe590BCa428a8a2FC4CfDbD1AcF57Bd9](https://fraxscan.com/address/0xdc3d8e1abe590bca428a8a2fc4cfdbd1acf57bd9) |

### **SquidRouter — Alternate**

The following chains use an alternate router address:

| Address | `0x2B4d4Cf15dAD79D3426D19674Bd237C1dc9144aa` |
| ------- | -------------------------------------------- |

| Chain     | Chain ID |
| --------- | -------- |
| Arc       | 5042     |
| Berachain | 80094    |
| Citrea    | 4114     |
| Gnosis    | 100      |
| Hedera    | 295      |
| HyperEVM  | 999      |
| Ink       | 57073    |
| Kaia      | 8217     |
| Mantra    | 5888     |
| Monad     | 143      |
| Peaq      | 3338     |
| Robinhood | 4663     |
| SagaEVM   | 5464     |
| Soneium   | 1868     |
| Sonic     | 146      |
| Tempo     | 4217     |
| Unichain  | 130      |
| X Layer   | 196      |

{% hint style="warning" %}
**Always use the contract address returned by the API** for the chain you are targeting. Do not hardcode router addresses — use the `/v2/sdk-info` or `/v2/chains` endpoint to fetch the correct `squidContracts.squidRouter` dynamically.
{% endhint %}

### How to look up the router address

{% tabs %}
{% tab title="API" %}

```bash
curl -H "x-integrator-id: YOUR_ID" \
  "https://v2.api.squidrouter.com/v2/chains?chainId=295" | jq '.chain.squidContracts.squidRouter'
```

{% endtab %}

{% tab title="SDK" %}

```typescript
const squid = new Squid({ integratorId: "YOUR_ID" });
await squid.init();

const hedera = squid.chains.find(c => c.chainId === "295");
console.log(hedera.squidContracts.squidRouter);
// "0x2b4d4cf15dad79d3426d19674bd237c1dc9144aa"
```

{% endtab %}
{% endtabs %}

### **SquidMulticall**

| Chain           | Chain ID | Address                                      |
| --------------- | -------- | -------------------------------------------- |
| Arbitrum        | 42161    | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Arc             | 5042     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Avalanche       | 43114    | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Base            | 8453     | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Berachain       | 80094    | `0x073e81D92bd8B39562106819D12346240606F04A` |
| BNB Chain       | 56       | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Celo            | 42220    | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Citrea          | 4114     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Ethereum        | 1        | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Fantom          | 250      | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Filecoin        | 314      | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Fraxtal         | 252      | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Gnosis          | 100      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Hedera          | 295      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| HyperEVM        | 999      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Immutable zkEVM | 13371    | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Ink             | 57073    | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Kaia            | 8217     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Kava EVM        | 2222     | `0xEa749Fd6bA492dbc14c24FE8A3d08769229b896c` |
| Linea           | 59144    | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Mantle          | 5000     | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Mantra          | 5888     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Monad           | 143      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Optimism        | 10       | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Peaq            | 3338     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Polygon         | 137      | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Robinhood       | 4663     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| SagaEVM         | 5464     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Scroll          | 534352   | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |
| Soneium         | 1868     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Sonic           | 146      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Tempo           | 4217     | `0x073e81D92bd8B39562106819D12346240606F04A` |
| Unichain        | 130      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| X Layer         | 196      | `0x073e81D92bd8B39562106819D12346240606F04A` |
| XRPL EVM        | 1440000  | `0xaD6Cea45f98444a922a2b4fE96b8C90F0862D2F4` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.squidrouter.com/additional-resources/contracts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
